import { CommentSidebarFilterConfig, CommentSidebarFilters, CommentSidebarGroupConfig } from '@veltdev/types';
import React from 'react';
export interface IVeltCommentsSidebarProps {
    embedMode?: boolean;
    floatingMode?: boolean;
    /**
     * @deprecated Use `urlNavigation` instead
     */
    enableUrlNavigation?: boolean;
    urlNavigation?: boolean;
    queryParamsComments?: boolean;
    pageMode?: boolean;
    currentLocationSuffix?: boolean;
    variant?: string;
    pageModeComposerVariant?: string;
    dialogVariant?: string;
    shadowDom?: boolean;
    sortData?: 'asc' | 'desc' | 'none';
    filterConfig?: CommentSidebarFilterConfig;
    groupConfig?: CommentSidebarGroupConfig;
    filters?: CommentSidebarFilters;
    excludeLocationIds?: string[];
    /**
     * @deprecated Use `onSidebarOpen` instead
     */
    openSidebar?: Function;
    onSidebarOpen?: Function;
    /**
     * @deprecated Use `onCommentClick` instead
     */
    onSidebarCommentClick?: Function;
    onCommentClick?: Function;
    onSidebarClose?: Function;
    onCommentNavigationButtonClick?: Function;
    darkMode?: boolean;
    position?: "right" | "left";
    filterPanelLayout?: 'menu' | 'bottomSheet';
    customActions?: boolean;
    focusedThreadDialogVariant?: string;
    focusedThreadMode?: boolean;
    searchPlaceholder?: string;
    filterOptionLayout?: 'checkbox' | 'dropdown';
    filterCount?: boolean;
    fullExpanded?: boolean;
    systemFiltersOperator?: 'and' | 'or';
}
declare const SnippylyCommentsSidebar: React.FC<IVeltCommentsSidebarProps>;
export default SnippylyCommentsSidebar;
